Subject: bug#9621: 24.0.90; a characger not displayed

From: "Ota, Takaaki" <[email-masked]>
Date: Mon, 31 Oct 2011 16:06:26 -0700

Do we have a conclusion to this issue?  24.0.91 is showing the same
problem to me.  I want to know if this is my local problem or emacs
problem.

-Tak

Wed, 28 Sep 2011 00:31:34 -0700: Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 27 Sep 2011 15:58:02 -0700
> > From: "Ota, Takaaki" <[email-masked]>
> > 
> > One of the Japanese character code (unicode 30fc -
> > http://www.fileformat.info/info/unicode/char/30fc/index.htm) does not
> > display correctly on w32 platform.  Instead of the correct shape of
> > the character what I see is a rectangle box at the character location
> > that has hex number 30 and fc inside.  Following two lines includes
> > the subject character.
> > 
> > テストケース
> > インティグレーション
> 
> FWIW, this character is displayed correctly on my MS-Windows box.
> "C-u C-x =" says that it is displayed using the Uniscribe font driver
> and this font:
> 
>    uniscribe:-outline-Arial Unicode MS-normal-normal-normal-sans-15-*-*-*-p-*-jisx0208*-* (#x12D9)
> 
> Here's my output of the commands requested by Handa-san:
> 
> default fontset: font for: 12540
> uniscribe-list: -outline-Courier New-*-mono-*-jisx0208*-*
> w32font-list: -outline-Courier New-*-mono-*-jisx0208*-*
> list: -outline-Courier New-*-mono-*-jisx0208*-*
> uniscribe-list: -outline-Courier New-*-jisx0208*-*
> w32font-list: -outline-Courier New-*-jisx0208*-*
> list: -outline-Courier New-*-jisx0208*-*
> uniscribe-list: -*-Courier New-*-mono-*-jisx0208*-*
> w32font-list: -*-Courier New-*-mono-*-jisx0208*-*
> list: -*-Courier New-*-mono-*-jisx0208*-*
> uniscribe-list: -*-Courier New-*-jisx0208*-*
> w32font-list: -*-Courier New-*-jisx0208*-*
> list: -*-Courier New-*-jisx0208*-*
> uniscribe-list: -outline-*-mono-*-jisx0208*-*
> w32font-list: -outline-*-mono-*-jisx0208*-*
> list: -outline-*-mono-*-jisx0208*-*
> uniscribe-list: -outline-*-jisx0208*-*
>   -outline-Arial Unicode MS-normal-normal-normal-sans-*-p-*-jisx0208*-*
>   -outline-Code2000-normal-normal-normal-*-p-*-jisx0208*-*
> w32font-list: -outline-*-jisx0208*-*
>   -outline-Arial Unicode MS-normal-normal-normal-sans-*-p-*-jisx0208*-*
>   -outline-Code2000-normal-normal-normal-*-p-*-jisx0208*-*
> list: -outline-*-jisx0208*-*
>   -outline-Arial Unicode MS-normal-normal-normal-sans-*-p-*-jisx0208*-*
>   -outline-Code2000-normal-normal-normal-*-p-*-jisx0208*-*
>   -outline-Arial Unicode MS-normal-normal-normal-sans-*-p-*-jisx0208*-*
>   -outline-Code2000-normal-normal-normal-*-p-*-jisx0208*-*
> sort-by: -*-normal-normal-normal-*-13-*
>   uniscribe:-outline-Arial Unicode MS-normal-normal-normal-sans-*-p-*-jisx0208*-*
> open: -outline-Arial Unicode MS-normal-normal-normal-sans-*-p-*-jisx0208*-*
>   uniscribe:-outline-Arial Unicode MS-normal-normal-normal-sans-13-*-p-*-jisx0208*-*
> default fontset: font for: 1499
> uniscribe-list: -outline-Courier New-*-mono-*-iso10646-1:script=hebrew
>   -outline-Courier New-normal-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-normal-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-normal-normal-normal-mono-*-c-*-iso10646-1
> w32font-list: -outline-Courier New-*-mono-*-iso10646-1:script=hebrew
>   -outline-Courier New-normal-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-normal-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-normal-normal-normal-mono-*-c-*-iso10646-1
> list: -outline-Courier New-*-mono-*-iso10646-1:script=hebrew
>   -outline-Courier New-normal-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-normal-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-normal-normal-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-normal-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-italic-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-bold-normal-normal-mono-*-c-*-iso10646-1
>   -outline-Courier New-normal-normal-normal-mono-*-c-*-iso10646-1
> sort-by: -*-normal-normal-normal-*-13-*
>   uniscribe:-outline-Courier New-normal-normal-normal-mono-*-c-*-iso10646-1
> open: -outline-Courier New-normal-normal-normal-mono-*-c-*-iso10646-1
>   uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-c-*-iso10646-1
>